Reinforcement StraightRebar/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Arch Rebar Straight")
 
(Updating to match new version of source page)
 
(39 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommandAddon|Name=Arch Rebar Straight |Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_UShape|UShape Rebar]]}}
<div class="mw-translate-fuzzy">
{{docnav/ro|[[Arch_CompRebarStraight|Arch CompRebarStraight/ro]]|[[Arch_Rebar_UShape/ro|UShape Rebar]]|[[Arch_Workbench/ro|Arch]]|IconL=Arch_CompRebarStraight.png|IconC=Workbench_Arch.svg|IconR=Arch_Rebar_UShape.png}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Arch Rebar UShape
|Name/ro=Arch Rebar UShape
|MenuLocation=Arch → Rebar tools
|Workbenches=[[Arch_Workbench/ro|Arch]]
|Shortcut=None
|SeeAlso=[[Arch_Rebar_LShape/ro|LShape Rebar]]
|Addon=Reinforcement
}}
</div>


==Description==
==Description==
The {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Straight Rebar}} tool allows user to create a straight reinforcing bar in the structural element.


<div class="mw-translate-fuzzy">
== Descriere ==
Instrumentul {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Straight Rebar}}poate permite utilizatorului să creeze o bară de armare dreaptă în elementul structural.
</div>

This tool is part of the [[Reinforcement_Workbench|Reinforcement Workbench]], an [[External_workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]].

[[Image:Arch_Rebar_Straight_example.png|400px]]
<div class="mw-translate-fuzzy">
[[Image:StraightRebar.png|800px]]
[[Image:StraightRebar.png|800px]]
</div>


<span id="Usage"></span>
==How to use==
== Cum se folosește ==


<div class="mw-translate-fuzzy">
# Create a [[Arch Structure|structure]] element
# Creați un element [[Arch Structure/ro|Structura structură]]
# Select any face of the structure
# Selectați orice față a structurii
# Then select {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Straight Rebar}} from the rebar tools
# Apoi selectați {{KEY | [[Image: Arch_Rebar_Straight.png | 16px]] Șipcă drept}} din uneltele pentru bare
# A task panel will pop-out on the left side of the screen as shown below [[Image:StraightRebarDialog.png|250px]]
# Un panou de activități va apărea în partea stângă a ecranului, după cum se arată mai jos [[Image: StraightRebarDialog.png | 250px]]
# Select the desired orientation
# Selectați orientarea dorită
# Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar
# Dați intrările ca și capacul frontal, capacul lateral din dreapta, capacul lateral din stânga, capacul inferior și diametrul barei
# Select the mode of distribution either amount or spacing
# Selectați modul de distribuire fie cantitate, fie spațiere
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Dacă spațiul este selectat, un utilizator poate de asemenea să opteze pentru [[Custom_Spacing/ro| spacing custom]]
# Pick selected face is used to verify or change the face for rebar distribution
# Selectează fața selectată este utilizată pentru a verifica sau schimba fața pentru distribuția barei
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Faceți clic pe {{KEY | OK}} sau pe {{KEY | Apply}} pentru a genera barele de armare
# Click {{KEY|Cancel}} to exit the task panel
# Faceți clic pe {{KEY | Cancel}} pentru a ieși din panoul de activități
</div>


[[Image:StraightRebarDialog.png|250px]]
==Properties==
{{Caption|Task panel for the tool}}


<span id="Properties"></span>
* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
==Proprietăți==
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.

* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
* {{PropertyData|Orientation}}: Acesta decide orientarea armăturii (de ex. jos, sus, drepta și stânga).
* {{PropertyData|Cover along}}: These property facilities the user to specify either top or bottom cover.
* {{PropertyData|Front Cover}}: Distanța dintre armături și fațetele selectate.
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
* {{PropertyData|Right Cover}}: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Left Cover}}: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
* {{PropertyData|Amount}}: The amount of rebars.
* {{PropertyData|Bottom Cover}}: Distanța dintre armătură și fațeta de jos a structurii.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
* {{PropertyData|Top Cover}}: Distanța dintre armătură și fața superioară a structurii.
* {{PropertyData|Rounding}}: O valoare de rotunjire care trebuie aplicată colțurilor barelor, exprimată în raport cu diametrul acestora.
* {{PropertyData|Amount}}: Cantitatea de armătură
* {{PropertyData|Spacing}}: Distnța dintre acele fiecărei bare.


==Scripting==
==Scripting==


<div class="mw-translate-fuzzy">
The {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Straight Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
== Scrip-Programare ==
</div>

<div class="mw-translate-fuzzy">
Instrumentul {{KEY|[[Image:Arch_Rebar_Straight.png|16px]] Straight Rebar}} poate fi utilizat în [[macros]] și de la consola Python prin utilizarea următoarei funcții:
</div>


'''1. When orientation of straight rebar is horizontal:'''
{{Code|code=
{{Code|code=
Rebar = makeStraightRebar(f_cover, coverAlong, rt_cover, lb_cover,
makeStraightRebar(FrontCover, CoverAlong, RightCover, LeftCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)
diameter, amount_spacing_check, amount_spacing_value, orientation="Horizontal",
structure=None, facename=None)
}}
}}


* Creates a {{incode|Rebar}} object from the given {{incode|structure}}, which is an [[Arch Structure]], and {{incode|facename}}, which is a face of that structure.
Note:
** If no {{incode|structure}} nor {{incode|facename}} are given, it will take the user selected face as input.
* Type of CoverAlong argument is a tuple. Syntax: {{KEY|(<Along>, <Value>)}}. Here we have horizontal orientation so we can pass {{KEY|Top Side}} and {{KEY|Bottom Side}} to <Along> arguments.
* {{incode|f_cover}}, {{incode|coverAlong}}, {{incode|rt_cover}}, and {{incode|lb_cover}} are inner offset distances for the rebar elements with respect to the faces of the structure.
For eg. {{KEY|("Top Side", 20)}} and {{KEY| ("Bottom Side", 20)}}
** {{incode|f_cover}} is the frontal cover offset.
** {{incode|coverAlong}} is a tuple {{incode|(position, value)}} that defines the offset value in one position (top, bottom, left, right) depending on the {{incode|orientation}}.
** {{incode|rt_cover}} is either the right or the top cover offset, depending on the value of {{incode|coverAlong}} and {{incode|orientation}}.
** {{incode|lb_cover}} is either the left or the bottom cover offset, depending on the value of {{incode|coverAlong}} and {{incode|orientation}}.
* {{incode|diameter}} is the diameter of the reinforcement bars inside the structure.
* {{incode|amount_spacing_check}} if it is {{incode|True}} it will create as many reinforcement bars as given by {{incode|amount_spacing_value}}; if it is {{incode|False}} it will create reinforcement bars separated by the numerical value of {{incode|amount_spacing_value}}.
* {{incode|amount_spacing_value}} specifies the number of reinforcement bars, or the value of the separation between them, depending on {{incode|amount_spacing_check}}.
* {{incode|orientation}} specifies the orientation of the rebar; it can be {{incode|"Horizontal"}} or {{incode|"Vertical"}}.

Depending on the orientation of the rebar, the function can be called in two general ways by setting {{incode|coverAlong}} appropriately.

=== The rebar is horizontal ===


'''2. When orientation of straight rebar is vertical:'''
{{Code|code=
{{Code|code=
Rebar = makeStraightRebar(f_cover, ("Top Side", value), right_cover, left_cover, ...)
makeStraightRebar(FrontCover, CoverAlong, TopCover, BottomCover, Diameter, AmountSpacingCheck, AmountSpacingValue, Orientation = "Horizontal", Structure, Facename)
Rebar = makeStraightRebar(f_cover, ("Bottom Side", value), right_cover, left_cover, ...)
}}
}}


* {{incode|coverAlong}} is a tuple with either a {{incode|"Top Side"}} or a {{incode|"Bottom Side"}} offset {{incode|value}}.
Note:
* In this case {{incode|rt_cover}} refers to the {{incode|right_cover}} offset, and {{incode|lb_cover}} refers to the {{incode|left_cover}} offset.
* Type of CoverAlong argument is a tuple. Syntax: {{KEY|(<Along>, <Value>)}}. Here we have vertical orientation so we can pass {{KEY|Left Side}} and {{KEY|Right Side}} to <Along> arguments.
For eg. {{KEY|("Left Side", 20)}} and {{KEY| ("Right Side", 20)}}


=== The rebar is vertical ===
----


{{Code|code=
Rebar = makeStraightRebar(f_cover, ("Left Side", value), top_cover, bottom_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Right Side", value), top_cover, bottom_cover, ...)
}}


* {{incode|coverAlong}} is a tuple with either a {{incode|"Left Side"}} or a {{incode|"Right Side"}} offset {{incode|value}}.
* Adds a Straight reinforcing bar object to the given structural object.
* In this case {{incode|rt_cover}} refers to the {{incode|top_cover}} offset, and {{incode|lb_cover}} refers to the {{incode|bottom_cover}} offset.
* If no Structure and Facename is given, it will take user selected face as input.

* Here CoverAlong argument is having type tuple.
=== Example horizontal ===
* Returns the new Rebar object.


Example:
Creating Straight rebar.
{{Code|code=
{{Code|code=
import Arch, StraightRebar
import Arch, Draft, StraightRebar

structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
Structure = Arch.makeStructure(length=1000, width=1000, height=400)
structure.ViewObject.Transparency = 80
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = StraightRebar.makeStraightRebar(20, ("Bottom Side", 20), 20, 20, 8, True, 10, "Horizontal", structure, "Face1")
Rebar = StraightRebar.makeStraightRebar(50, ("Bottom Side", 20), 100, 100,
12, True, 5, "Horizontal", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = StraightRebar.makeStraightRebar(50, ("Bottom Side", 50), 100, 100,
12, True, 5, "Horizontal", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}


===Example vertical ===
Changing properties of Straight rebar.

{{Code|code=
import Arch, Draft, StraightRebar

Structure2 = Arch.makeStructure(length=1000, width=1000, height=400)
Structure2.ViewObject.Transparency = 80
Draft.move(Structure2, FreeCAD.Vector(1500, 0, 0))
FreeCAD.ActiveDocument.recompute()

Rebar3 = StraightRebar.makeStraightRebar(50, ("Left Side", 20), 100, 100,
12, True, 5, "Vertical", Structure2, "Face4")
Rebar3.ViewObject.ShapeColor = (0.9, 0.5, 0.0)

Rebar4 = StraightRebar.makeStraightRebar(50, ("Left Side", 50), 100, 100,
12, True, 5, "Vertical", Structure2, "Face6")
Rebar4.ViewObject.ShapeColor = (0.0, 0.5, 0.5)
}}

=== Edition of rebar ===

<div class="mw-translate-fuzzy">
Schimbarea proprietăților armăturii tip bară dreaptă.
</div>

{{Code|code=
editStraightRebar(Rebar, f_cover, coverAlong, rt_cover, lb_cover,
diameter, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|StraightRebar}} object.
* The other parameters are the same as required by the {{incode|makeStraightRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

Example:

{{Code|code=
{{Code|code=
import StraightRebar
import StraightRebar

StraightRebar.editStraightRebar(rebar, 25, ("Top Side", 20), 20, 20, 8, True, 10, "Horizontal")
StraightRebar.editStraightRebar(Rebar, 50, ("Top Side", 20), 100, 100,
24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar2, 50, ("Top Side", 50), 100, 100,
24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar3, 50, ("Right Side", 20), 100, 100,
24, True, 7, "Vertical")

StraightRebar.editStraightRebar(Rebar4, 50, ("Right Side", 50), 100, 100,
24, True, 7, "Vertical")
}}
}}



{{clear}}
<div class="mw-translate-fuzzy">
[[Category:Arch/ro]]
</div>

[[Category:External_Command_Reference{{#translation:}}]]
[[Category:Reinforcement{{#translation:}}]]
{{Arch_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:44, 9 March 2024

Arch Rebar UShape

poziția meniului
Arch → Rebar tools
Ateliere
Arch
scurtătură
None
Prezentat în versiune
-
A se vedea, de asemenea,
LShape Rebar

Description

Descriere

Instrumentul Straight Rebarpoate permite utilizatorului să creeze o bară de armare dreaptă în elementul structural.

This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.

Cum se folosește

  1. Creați un element Structura structură
  2. Selectați orice față a structurii
  3. Apoi selectați Șipcă drept din uneltele pentru bare
  4. Un panou de activități va apărea în partea stângă a ecranului, după cum se arată mai jos
  5. Selectați orientarea dorită
  6. Dați intrările ca și capacul frontal, capacul lateral din dreapta, capacul lateral din stânga, capacul inferior și diametrul barei
  7. Selectați modul de distribuire fie cantitate, fie spațiere
  8. Dacă spațiul este selectat, un utilizator poate de asemenea să opteze pentru spacing custom
  9. Selectează fața selectată este utilizată pentru a verifica sau schimba fața pentru distribuția barei
  10. Faceți clic pe OK sau pe Apply pentru a genera barele de armare
  11. Faceți clic pe Cancel pentru a ieși din panoul de activități

Task panel for the tool

Proprietăți

  • DateOrientation: Acesta decide orientarea armăturii (de ex. jos, sus, drepta și stânga).
  • DateFront Cover: Distanța dintre armături și fațetele selectate.
  • DateRight Cover: Distanța între capătul dintre capătul dreapta al armăturii și fațeta dreapta a structurii.
  • DateLeft Cover: Distanța dintre capătul din stânga al armăturii și fațeta stângă a structurii
  • DateBottom Cover: Distanța dintre armătură și fațeta de jos a structurii.
  • DateTop Cover: Distanța dintre armătură și fața superioară a structurii.
  • DateRounding: O valoare de rotunjire care trebuie aplicată colțurilor barelor, exprimată în raport cu diametrul acestora.
  • DateAmount: Cantitatea de armătură
  • DateSpacing: Distnța dintre acele fiecărei bare.

Scripting

Scrip-Programare

Instrumentul Straight Rebar poate fi utilizat în macros și de la consola Python prin utilizarea următoarei funcții:

Rebar = makeStraightRebar(f_cover, coverAlong, rt_cover, lb_cover,
                          diameter, amount_spacing_check, amount_spacing_value, orientation="Horizontal",
                          structure=None, facename=None)
  • Creates a Rebar object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • f_cover, coverAlong, rt_cover, and lb_cover are inner offset distances for the rebar elements with respect to the faces of the structure.
    • f_cover is the frontal cover offset.
    • coverAlong is a tuple (position, value) that defines the offset value in one position (top, bottom, left, right) depending on the orientation.
    • rt_cover is either the right or the top cover offset, depending on the value of coverAlong and orientation.
    • lb_cover is either the left or the bottom cover offset, depending on the value of coverAlong and orientation.
  • diameter is the diameter of the reinforcement bars inside the structure.
  • amount_spacing_check if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.
  • amount_spacing_value specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.
  • orientation specifies the orientation of the rebar; it can be "Horizontal" or "Vertical".

Depending on the orientation of the rebar, the function can be called in two general ways by setting coverAlong appropriately.

The rebar is horizontal

Rebar = makeStraightRebar(f_cover, ("Top Side", value), right_cover, left_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Bottom Side", value), right_cover, left_cover, ...)
  • coverAlong is a tuple with either a "Top Side" or a "Bottom Side" offset value.
  • In this case rt_cover refers to the right_cover offset, and lb_cover refers to the left_cover offset.

The rebar is vertical

Rebar = makeStraightRebar(f_cover, ("Left Side", value), top_cover, bottom_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Right Side", value), top_cover, bottom_cover, ...)
  • coverAlong is a tuple with either a "Left Side" or a "Right Side" offset value.
  • In this case rt_cover refers to the top_cover offset, and lb_cover refers to the bottom_cover offset.

Example horizontal

import Arch, Draft, StraightRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = StraightRebar.makeStraightRebar(50, ("Bottom Side", 20), 100, 100,
                                        12, True, 5, "Horizontal", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = StraightRebar.makeStraightRebar(50, ("Bottom Side", 50), 100, 100,
                                         12, True, 5, "Horizontal", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Example vertical

import Arch, Draft, StraightRebar

Structure2 = Arch.makeStructure(length=1000, width=1000, height=400)
Structure2.ViewObject.Transparency = 80
Draft.move(Structure2, FreeCAD.Vector(1500, 0, 0))
FreeCAD.ActiveDocument.recompute()

Rebar3 = StraightRebar.makeStraightRebar(50, ("Left Side", 20), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face4")
Rebar3.ViewObject.ShapeColor = (0.9, 0.5, 0.0)

Rebar4 = StraightRebar.makeStraightRebar(50, ("Left Side", 50), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face6")
Rebar4.ViewObject.ShapeColor = (0.0, 0.5, 0.5)

Edition of rebar

Schimbarea proprietăților armăturii tip bară dreaptă.

editStraightRebar(Rebar, f_cover, coverAlong, rt_cover, lb_cover,
                  diameter, amount_spacing_check, amount_spacing_value, orientation,
                  structure=None, facename=None)
  • Rebar is a previously created StraightRebar object.
  • The other parameters are the same as required by the makeStraightRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.

Example:

import StraightRebar

StraightRebar.editStraightRebar(Rebar, 50, ("Top Side", 20), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar2, 50, ("Top Side", 50), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar3, 50, ("Right Side", 20), 100, 100,
                                24, True, 7, "Vertical")

StraightRebar.editStraightRebar(Rebar4, 50, ("Right Side", 50), 100, 100,
                                24, True, 7, "Vertical")